Uploaded image for project: 'MariaDB Server'
  1. MariaDB Server
  2. MDEV-29814

galera_var_notify_ssl_ipv6 causes testing system to hang

    XMLWordPrintable

Details

    Description

      The galera_var_notify_ssl_ipv6 test hangs the test system with the following failure before it:

      worker[2] > Restart [mysqld.1 - pid: 4713, winpid: 4713] - using different config file
      worker[2] > Restart [mysqld.2 - pid: 4715, winpid: 4715] - using different config file
      wsrep.wsrep_variables_wsrep_off 'innodb' w2 [ pass ]     18
       
      command timed out: 1200 seconds without output running ['runvm', '--port=2257', '--memory=8192', '--user=buildbot', '--smp=4', '--cpu=qemu64', '--startup-timeout=600', '--logfile=kernel_2257.log', '--logfile=kernel_2257.log', 'vm-tmp-2257.qcow2', '\nset -x\nif which yum ; then\n  # MDEV-29043 -- add qpress (if possible) to enable mariabackup.compress_qpress test\n  sudo yum install -y https://repo.percona.com/yum/percona-release-latest.noarch.rpm &&     sudo yum install -y qpress\n  sudo rm /etc/yum.repos.d/percona* && sudo yum clean all\nfi\nset -e\n\nif ! rpm -qa | grep -i mariadb-server\nthen\n  echo "Test warning"": MariaDB server was not installed, skipping the tests"\n  exit\nfi\n\ntest_set=galera\n\narch=\n\n# Turn off systemd tricks and write a normal coredump instead\nsudo sysctl -w \'kernel.core_pattern=core\' || true\n\ncd /usr/share/mysql-test\n\nif test -f suite/plugins/pam/pam_mariadb_mtr.so; then\n  for p in /lib*/security /lib*/*/security ; do\n    test -f $p/pam_unix.so && sudo cp -v suite/plugins/pam/pam_mariadb_mtr.so $p/\n  done\n  sudo cp -v suite/plugins/pam/mariadb_mtr /etc/pam.d/\nfi\n\nif sudo yum install -y perl-Env\nthen\n  echo "Installed Env.pm"\nfi\n\ntcmalloc=\nif [[ "no" == "yes" ]] ; then\n  if sudo yum install -y gperftools-libs\n  then\n    tcmalloc=`rpm -ql gperftools-libs | grep libtcmalloc.so | head -1`\n  fi\nfi\n\nres=0\nif [ "$test_set" == "default" ] ; then\n  touch /tmp/skip.list\n  if [ "kvm-zyp-opensuse150-amd64" == "kvm-rpm-rhel8-ppc64le" ] ; then\n    echo "binlog.binlog_mysqlbinlog_row_innodb : MDEV-20530 - test fails with wrong result on this builder" >> /tmp/skip.list\n    echo "binlog.binlog_mysqlbinlog_row_myisam : MDEV-20530 - test fails with wrong result on this builder" >> /tmp/skip.list\n    echo "main.ps : MDEV-20532 - test fails with wrong result on this builder" >> /tmp/skip.list\n    echo "main.select_pkeycache : MDEV-20532 - test fails with wrong result on this builder" >> /tmp/skip.list\n    echo "main.sp : MDEV-20532 - test fails with wrong result on this builder" >> /tmp/skip.list\n    echo "main.derived_cond_pushdown : MDEV-20532 - test fails with wrong result on this builder" >> /tmp/skip.list\n    echo "main.select : MDEV-20532 - test fails with wrong result on this builder" >> /tmp/skip.list\n    echo "main.select_jcl6 : MDEV-20532 - test fails with wrong result on this builder" >> /tmp/skip.list\n    echo "main.type_float : MDEV-20532 - test fails with wrong result on this builder" >> /tmp/skip.list\n    echo "main.type_newdecimal : MDEV-20532 - test fails with wrong result on this builder" >> /tmp/skip.list\n    echo "main.type_ranges : MDEV-20532 - test fails with wrong result on this builder" >> /tmp/skip.list\n    echo "main.func_math : MDEV-20532 - test fails with wrong result on this builder" >> /tmp/skip.list\n  elif [ "kvm-zyp-opensuse150-amd64" == "kvm-rpm-centos73-ppc64" ] ; then\n    echo "main.func_json_notembedded : MDEV-28714 - test fails with timeout on this builder" >> /tmp/skip.list\n  fi\n  cat /tmp/skip.list\n\n  if ! LD_PRELOAD=$tcmalloc NO_FEEDBACK_PLUGIN=1 perl mysql-test-run.pl --skip-test-list=/tmp/skip.list --verbose-restart --vardir="$(readlink -f /dev/shm/var)" --parallel=4 --force --retry=3 --max-save-core=0 --max-save-datadir=1 ; then\n    res=1\n  fi\nelif [ "$test_set" == "galera" ] ; then\n  case "10.4" in\n  *10.[2-3]*)\n    galera_suites=galera,wsrep,wsrep_info,galera_3nodes\n    ;;\n  *)\n    galera_suites=galera,wsrep,wsrep_info,galera_3nodes,galera_sr\n  ;;\n  esac\n  if ! LD_PRELOAD=$tcmalloc perl mysql-test-run.pl --suites=$galera_suites --verbose-restart --vardir="$(readlink -f /dev/shm/var)" --parallel=2 --force --retry=3 --max-save-core=0 --max-save-datadir=1 ; then\n    res=1\n  fi\nelif [ "$test_set" == "rocksdb" ] ; then\n  set +o pipefail\n  echo "rocksdb_hotbackup.* : MDEV-12380 - hotbackup tests are not maintained" > /tmp/skip.list\n  if [ "kvm-zyp-opensuse150-amd64" == "kvm-rpm-centos74-amd64-debug" ] ; then\n    echo "rocksdb.allow_to_start_after_corruption : MDEV-20488 - test fails with timeout on this builder" >> /tmp/skip.list\n  elif [ "kvm-zyp-opensuse150-amd64" == "kvm-rpm-rhel8-ppc64le" ] ; then\n    echo "rocksdb.type_float : MDEV-28694 - test fails with wrong result on this builder" >> /tmp/skip.list\n    echo "rocksdb.col_opt_not_null : MDEV-28694 - test fails with wrong result on this builder" >> /tmp/skip.list\n    echo "rocksdb.col_opt_null : MDEV-28694 - test fails with wrong result on this builder" >> /tmp/skip.list\n    echo "rocksdb.col_opt_unsigned : MDEV-28694 - test fails with wrong result on this builder" >> /tmp/skip.list\n  fi\n  cat /tmp/skip.list\n  if ! perl mysql-test-run.pl rocksdb.1st --vardir="$(readlink -f /dev/shm/var)" 2>&1 | grep -E \'RocksDB is not compiled|Could not find\' ; then\n    if ! LD_PRELOAD=$tcmalloc perl mysql-test-run.pl --suite=rocksdb* --skip-test-list=/tmp/skip.list --verbose-restart --vardir="$(readlink -f /dev/shm/var)" --parallel=4 --force --retry=3 --max-save-core=0 --max-save-datadir=1 ; then\n      res=1\n    fi\n  else\n    echo "WARNING: RocksDB engine not found"\n  fi\nelif [ "$test_set" == "s3" ] ; then\n  set +o pipefail\n  if perl mysql-test-run.pl s3.basic --vardir="$(readlink -f /dev/shm/var)" 2>&1 | grep -E \'Need S3 engine\' ; then\n    echo "Test warning"": S3 engine not found, tests will be skipped"\n    exit 0\n  fi\n \n  if ! curl ftp://ftp.askmonty.org/public/minio/minio-linux-${arch} --output ~/minio ; then\n    echo "ERROR: Could not download MinIO server for Linux ${arch}"\n    echo "Check if it is available at http://dl.min.io/server/minio/release and store as ftp://ftp.askmonty.org/public/minio/minio-linux-${arch}"\n    exit 1\n  fi\n  chmod a+x ~/minio\n  MINIO_ACCESS_KEY=minio MINIO_SECRET_KEY=minioadmin ~/minio server /tmp/shared 2>&1 &\n  if ! curl ftp://ftp.askmonty.org/public/minio/mc-linux-${arch} --output ~/mc ; then\n    echo "ERROR: Could not download MinIO client for Linux ${arch}"\n    echo "Check if it is available at http://dl.min.io/client/mc/release/ and store as ftp://ftp.askmonty.org/public/minio/mc-linux-${arch}"\n    exit 1\n  fi\n  chmod a+x ~/mc\n  # Try a few times in case the server hasn\'t finished initializing yet\n  res=1\n  for i in 1 2 3 4 5 ; do\n    if ~/mc alias set local http://127.0.0.1:9000  minio minioadmin ; then\n      res=0\n      break\n    fi\n    sleep 1\n  done\n  if [ "$res" == "1" ] ; then\n    echo "ERROR: Couldn\'t configure MinIO server"\n    exit 1\n  fi\n  ~/mc mb --ignore-existing local/storage-engine\n\n  libssh=\n  if [[ "kvm-zyp-opensuse150-amd64" == "kvm-zyp-sles125-amd64" ]] ; then\n    # ha_s3.so is linked with libcurl.so.4\n    # libcurl.so.4 is linked with libssh.so.4\n    # libssh.so.4 does CRYPTO_THREADID_set_callback(...) on load\n    # and CRYPTO_THREADID_set_callback(0) on unload.\n    # but the latter does not reset the callback,\n    # see https://github.com/openssl/openssl/blob/OpenSSL_1_0_2u/crypto/cryptlib.c#L476\n    # so when ha_s3.so is dlclose\'d and libssh.so.4 gets unloaded\n    # the callback stays, pointing into nowhere.\n    # And when openssl calls it it crashes.\n    # As a workaround we prevent libssh.so.4 from being unloaded\n    libssh=/usr/lib64/libssh.so.4\n  fi\n\n  if ! LD_PRELOAD=$libssh perl mysql-test-run.pl --suite=s3 --verbose-restart --vardir="$(readlink -f /dev/shm/var)" --force --max-save-core=0 --max-save-datadir=1 ; then\n    res=1\n  fi\nelse\n  echo "ERROR: Unknown test set $test_set"\n  res=1\nfi\n\nrm -rf /home/buildbot/var\ncp -r /dev/shm/var /home/buildbot\nexit $res\n', '!= rm -Rf var/ ; scp -rp -P 2257 -o UserKnownHostsFile=/dev/null -o StrictHostKeyChecking=no buildbot@localhost:/home/buildbot/var/ . || :'], attempting to kill
      process killed by signal 9
      program finished with exit code -1
      elapsedTime=4032.896103

      Attachments

        Issue Links

          Activity

            People

              sysprg Julius Goryavsky
              sysprg Julius Goryavsky
              Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

              Dates

                Created:
                Updated:
                Resolved:

                Git Integration

                  Error rendering 'com.xiplink.jira.git.jira_git_plugin:git-issue-webpanel'. Please contact your Jira administrators.